#!/bin/bash

patch_dir=`pwd`
ltib_dir="$patch_dir/../ltib"
fslpkgs_dir="$ltib_dir/pkgs"

codec410="IMX_MMCODEC_3.0.35_4.1.0_BUNDLE_CODA"

PKG_FILES="fsl-alsa-plugins-1.0.25.tar.gz
gst-fsl-plugins-3.0.7-2.tar.gz
gst-plugins-gl-0.10.3.1.tar.gz
libfslcodec-3.0.7-2.tar.gz
libfslparser-3.0.7-2.tar.gz
libfslvpuwrap-1.0.35-2.tar.gz"

# check ltib_dir
if [ ! -d $ltib_dir ]; then
	echo "$ltib_dir not found"
	exit -1
fi

# check fslpkgs_dir
if [ ! -d $fslpkgs_dir ]; then
	echo "$fslpkgs_dir not found"
	fslpkgs_dir="/opt/freescale/pkgs"
	if [ ! -d $fslpkgs_dir ]; then
		echo "$fslpkgs_dir not found"
		exit -1
	fi
fi

# check the pkgs
cd $patch_dir/..
if [ ! -e $codec410.tar.gz ]; then
	echo "$codec410.tar.gz not found"
	exit -1
fi

# extract the pkgs
cd $patch_dir/..
tar zxvf $codec410.tar.gz

# copy the pkgs
cd $codec410/ltib\ codecs
for file in $PKG_FILES
do
	md5sum $file > $file.md5
	chmod 775 $file
	chmod 775 $file.md5
	echo "cp $file $fslpkgs_dir"
	cp -f $file $fslpkgs_dir
	echo "cp $file.md5 $fslpkgs_dir"
	cp -f $file.md5 $fslpkgs_dir
done

echo "done"

exit 0
