#!/bin/bash

patch_dir=`pwd`
ltib_dir="$patch_dir/../ltib"
fslpkgs_dir="$ltib_dir/pkgs"

PKG_FILES="gtkhtml-3.24.2-1278389569.patch
gtkhtml-3.24.2-1278389569.patch.md5
m4-1.4.16-1383761043.patch
m4-1.4.16-1383761043.patch.md5
xorg-server-1.6.1-1398785267.patch
xorg-server-1.6.1-1398785267.patch.md5"

# check ltib_dir
if [ ! -d $ltib_dir ]; then
	echo "$ltib_dir not found"
	exit -1
fi

# check fslpkgs_dir
if [ ! -d $fslpkgs_dir ]; then
	echo "$fslpkgs_dir not found"
	fslpkgs_dir="/opt/freescale/pkgs"
	if [ ! -d $fslpkgs_dir ]; then
		echo "$fslpkgs_dir not found"
		exit -1
	fi
fi

# create symbolic links for elftosb
if [ ! -e /usr/include/sys/types.h ]; then
	if uname -a | grep -sq 'x86_64'; then
		path_to_sys="x86_64-linux-gnu"
	else
		path_to_sys="i386-linux-gnu"
	fi

	if [ -e /usr/include/sys ]; then
		sudo mv -v /usr/include/sys/* /usr/include/${path_to_sys}/sys
		sudo rm -fr /usr/include/sys
	fi

	sudo ln -s /usr/include/${path_to_sys}/sys /usr/include/sys
fi

# copy the pkgs
cd $patch_dir
for file in $PKG_FILES
do
	echo "cp $file $fslpkgs_dir"
	cp -f pkgs/$file $fslpkgs_dir
done

# patch the bin files
echo "patching bin"
cd $ltib_dir
patch -p0 -i $patch_dir/ltib_bin.patch

# patch the spec files
echo "patching dist"
cd $ltib_dir
patch -p0 -i $patch_dir/ltib_dist.patch

echo "done"

exit 0
