#!/bin/bash

patch_dir=`pwd`
ltib_dir="$patch_dir/../ltib"

pkg411="L3.0.101_4.1.1_141016_source"
codec411="IMX_MMCODEC_3.0.101_4.1.1_Bundle"

pkg411_dir="$patch_dir/../$pkg411"
fslpkgs_dir="$ltib_dir/pkgs"

PKG_FILES="firmware-imx-3.0.101-4.1.1.tar.gz
imx-vpu-lib-3.0.101-4.1.1.tar.gz
libfslcodec-3.0.11.tar.gz
libfslparser-3.0.11.tar.gz
libfslvpuwrap-1.0.46.tar.gz
gst-fsl-plugins-3.0.11.tar.gz
gst-fsl-plugins-3.0.11-configure.patch
glib2-2.12.1-atomic.patch
gpu-viv-bin-mx6q-3.0.101-4.1.1.tar.gz
gpu-viv-bin-mx6s-3.0.101-4.1.1.tar.gz
gpu-viv-wl-bin-mx6q-3.0.101-4.1.1.tar.gz
gpu-viv-wl-bin-mx6s-3.0.101-4.1.1.tar.gz
linux-3.0.101.tar.bz2
linux-3.0.101-imx_4.1.1.bz2
u-boot-v2009.08-imx_3.0.101_4.1.1.tar.bz2"

# check ltib_dir
if [ ! -d $ltib_dir ]; then
	echo "$ltib_dir not found"
	exit -1
fi

# check fslpkgs_dir
if [ ! -d $fslpkgs_dir ]; then
	echo "$fslpkgs_dir not found"
	fslpkgs_dir="/opt/freescale/pkgs"
	if [ ! -d $fslpkgs_dir ]; then
		echo "$fslpkgs_dir not found"
		exit -1
	fi
fi

# check the pkgs
cd $patch_dir/..
if [ ! -e $pkg411.tar.gz ]; then
	echo "$pkg411.tar.gz not found"
	exit -1
fi
if [ ! -e $codec411.tar.gz ]; then
	echo "$codec411.tar.gz not found"
	exit -1
fi

# extract the pkgs
cd $patch_dir/..
tar zxvf $pkg411.tar.gz
cd $pkg411_dir
tar zxvf ../$codec411.tar.gz

# copy the pkgs
cd $pkg411_dir
for file in $PKG_FILES
do
	md5sum $file > $file.md5
	chmod 775 $file
	chmod 775 $file.md5
	echo "cp $file $fslpkgs_dir"
	cp -f $file $fslpkgs_dir
	echo "cp $file.md5 $fslpkgs_dir"
	cp -f $file.md5 $fslpkgs_dir
done

# patch the config files
echo "patching config"
cd $ltib_dir/config/platform/imx
patch -p1 -i $pkg411_dir/ltib_config_platform_imx.patch

# patch the spec files
echo "patching dist"
cd $ltib_dir/dist
patch -p1 -i $pkg411_dir/ltib_dist_lfs-5.1.patch

echo "done"

exit 0
